package ab.issue.db.model;

import android.arch.persistence.room.Embedded;

import ab.issue.model.Barcode;
import ab.issue.model.values.CalendarEventBarcodeFormat;

public class CalendarEventBarcode extends BarcodeFormatValueWrapper<CalendarEventBarcodeFormat> {

    @Embedded
    public Barcode barcode;

    @Embedded
    public CalendarEventBarcodeFormat calendarEventBarcodeFormat;

    @Override
    protected Barcode getBarcode() {
        return barcode;
    }

    @Override
    protected CalendarEventBarcodeFormat getFormatValue() {
        return calendarEventBarcodeFormat;
    }
}
